Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.net.http
Class Handler

    java.lang.Object
      java.net.URLStreamHandler
          weblogic.net.http.Handler

    public class Handler

extends URLStreamHandler

Open an http input stream given a URL. See the way protocol handlers are found in java.net.URL for details.

Constructor Summary
`Handler()`

Method Summary
`static void` | `init()`
`protected URLConnection` | `openConnection(URL u)`
`protected URLConnection` | `openConnection(URL u, Proxy p)`
`protected String` | `toExternalForm(URL u)` Overriding this method from javaq.net.URLStreamHandler so that we dont print the username:password from the part of the url.

Methods inherited from class java.net.URLStreamHandler
`equals, getDefaultPort, getHostAddress, hashCode, hostsEqual, parseURL, sameFile, setURL, setURL`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Handler

    public Handler()

Method Detail

### openConnection

    protected URLConnection openConnection(URL u)
                                    throws IOException

  Specified by:
    `openConnection` in class `URLStreamHandler`
  Throws:
    `IOException`

### openConnection

    protected URLConnection openConnection(URL u,
                                           Proxy p)
                                    throws IOException

  Overrides:
    `openConnection` in class `URLStreamHandler`
  Throws:
    `IOException`

### init

    public static void init()

### toExternalForm

    protected String toExternalForm(URL u)

  Overriding this method from javaq.net.URLStreamHandler so that we dont print the username:password from the part of the url. http://[@]host[:port]/?query#ref will be printed as http://host[:port]/?query#ref

  Overrides:
    `toExternalForm` in class `URLStreamHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD